Skip to main content
`Ctrl`+`K`

# PEPType

String with the name of a polynomial eigensolver.

## Synopsis

    typedef const char *PEPType;
    #define PEPTOAR      "toar"
    #define PEPSTOAR     "stoar"
    #define PEPQARNOLDI  "qarnoldi"
    #define PEPLINEAR    "linear"
    #define PEPJD        "jd"
    #define PEPCISS      "ciss"

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetType()`, `PEP`

## Level

beginner

## Location

include/slepcpep.h

## Examples

src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex38.c
src/pep/tutorials/ex28.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages